<?php

if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }



$admin->head();

echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&$session><b>احصائيات المكتبة</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=list&$session><b>ادارة تصنيفات المكتبة</b></a></td>
     <td disabled  align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=newmoalif&$session><b>اضف مؤلف جديد</b></a></td>
     <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=listmoalif&$session><b>تحرير بيانات مؤلف</b></a></td>
 </tr>
</table><br>";



echo "

<script language=javascript>

function checkForm(){

	if (!document.addf.name_moalif.value) {

		alert('عفوا ... انت لم تقم بكتابة اسم المؤلف '); 

		return false;

	} 


}

</script>

";


if($apt->post[save])

{
$id_moalif = $apt->post[id_moalif];

$name_moalif = $apt->post[name_moalif];

$desc_moalif = $apt->post[desc_moalif];

$order_moalif = $apt->post[order_moalif];

$result = $apt->query("INSERT INTO rafia_media_moalif VALUES ('', '$name_moalif', '$desc_moalif', '$order_moalif');");

if($result) 
{

		modmsg("تم إضافة بيانات المؤلف بنجاح<br>سوف ترجع الان الى صفحة عرض المشائخ","mod.php?act=edit&mod=media&op=listmoalif&".$admin->get_sess());
}else{
		modmsg("عفوا ... حصل خطأ و لم يتم إضافة بيانات المؤلف <br>سوف ترجع الان الى صفحة عرض المشائخ","mod.php?act=edit&mod=media&op=listmoalif&".$admin->get_sess());
             }


   }
else
   {
   
            $admin->opentable("اضافة بيانات مؤلف جديد للمكتبة");

		    	echo "<form onsubmit='return checkForm(this)' name=addf enctype='multipart/form-data' act=mod.php?act=edit&mod=media&op=newmoalif&".$admin->get_sess()." method=post>";

            $admin->inputtext("اسم المؤلف ","name_moalif",$name_moalif);

            $admin->textarea("سيرة المؤلف ","desc_moalif",'','rtl',10);
       
		     $admin->selectnum("الترتيب","order_moalif","",'1','100');
            
             $admin->inputhidden('save','1');
            
             $admin->closetable();

             $admin->submit("اضافة");


 }
        

?>